﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Windows.Data;
using System.Windows.Forms;

namespace XamNumericEditor_Ex
{
	 class FloatConverter : IValueConverter
	{
		public Object Convert(Object value, Type targetType, Object parameter, CultureInfo culture)
		{
			return value;
		}

		public Object ConvertBack(Object value, Type targetType, Object parameter, CultureInfo culture)
	    {
            double temp2;

            if (value != null)
            {
                string strValue = value.ToString();
                string stringConvertIn = value.ToString().ToLower();
                if (targetType == typeof(double))
                {
                    if (double.TryParse(value.ToString(), out temp2))
                    {
                        return temp2;
                    }
                }
                switch (stringConvertIn)
                {
                    //case "double":
                    //    double resultDouble = 0.0;
                    //    try
                    //    {
                    //        if (double.TryParse(strValue, out resultDouble))
                    //            return resultDouble;
                    //        break;
                    //    }
                    //    catch (Exception)
                    //    {

                    //        throw;
                    //    }

                    case "long":
                        long resultLong = 0;
                        if (long.TryParse(strValue, out resultLong))
                            return resultLong;
                        break;
                    case "float":
                        float resultFloat = 0;
                        if (float.TryParse(strValue, out resultFloat))
                            return resultFloat;
                        break;

                    default:
                        return value;
                }
            }
            else if (value == null)
            {
                return System.Windows.Data.Binding.DoNothing;
            }

            //return System.Windows.Data.Binding.DoNothing;
            return null;
		}
	}
}
