﻿using Infragistics.Windows.Editors;
using System.Windows.Controls;
using System.Windows.Media;

namespace XamNumericEditor_Ex
{
	/// <summary>
	/// Interaction logic for UserControl1.xaml
	/// </summary>
	public partial class UserControl1 : UserControl
	{
		public UserControl1()
		{
			DataContext = new UserViewModel();
			InitializeComponent();
        }

      

        private void ValueFrequency2_EditModeValidationError(object sender, Infragistics.Windows.Editors.Events.EditModeValidationErrorEventArgs e)
        {
            
            (sender as XamNumericEditor).ToolTip = e.ErrorMessage.ToString();
            (sender as XamNumericEditor).BorderBrush = Brushes.Red;
        }

        private void ValueFrequency2_EditModeEnded(object sender, Infragistics.Windows.Editors.Events.EditModeEndedEventArgs e)
        {
            (sender as XamNumericEditor).BorderBrush = txt1.BorderBrush;
            (sender as XamNumericEditor).ToolTip = null;
        }

        private void ValueFrequency2_ValueChanged(object sender, System.Windows.RoutedPropertyChangedEventArgs<object> e)
        {
            double temp;
            if (e.NewValue != null)
            {
                double.TryParse(e.NewValue.ToString(), out temp);
                if (temp >= 1)
                {
                    (sender as XamNumericEditor).BorderBrush = txt1.BorderBrush;
                    (sender as XamNumericEditor).ToolTip = null;
                }
            }
           
           
        }


	}
}
